TrueCrypt Privilege Escalation Exploit

This module exploits a vulnerability in TrueCrypt 4.x when the software is installed with setuid root. An attacker can exploit this vulnerability to obtain root privileges. This exploit mounts a temporary, especially crafted TrueCrypt volume in the /lib/tls directory and executes a setuid application to bypass security controls and execute an agent as root.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2007-1738
Product Version: 
6.2
Released Date: 
Tuesday, July 3, 2007 - 00:00